effective/variants/list; a merchant with no enabled catalog gets an empty page withmerchantHasCustomCatalog: false. A product that is hidden, deleted or missing in the global catalog is stillglobalResolved: false, a globalResolution and only its id.POST merchantCatalog/effective/products/enriched/search.useCursor=true each response's nextCursor fetches the next page until it comes back empty;page, totalCount and totalPages are then not used, and a cursor is valid only for this endpoint,curl --location 'https://api.ordermesh.io/catalog/v1/merchantCatalog/effective/products/enriched?merchantId=&page=&pageSize=&useCursor=&cursor=' \
--header 'Authorization: Bearer <token>'{
"merchantHasCustomCatalog": true,
"items": [
{
"id": "1194",
"title": "Accent Mugs",
"description": "Ceramic mug with a colored handle and interior, printed edge to edge.",
"brand": "Print",
"model": "Accent Mug 11oz",
"modelId": "mdl-1194-11",
"status": "ACTIVE",
"categories": [
"Home & Living",
"All"
],
"subCategories": [
"Drinkware"
],
"images": [
"https://az412349.cdn.gooten.com/product-accentmugs/CatalogPreviews/AccentMugBlue-1.jpg"
],
"attributes": [
{
"name": "Color",
"values": [
{
"name": "Blue"
},
{
"name": "Red"
}
]
}
],
"options": [
{
"name": "Handle Color",
"values": [
{
"name": "White"
},
{
"name": "Black"
}
]
}
],
"extras": [
{
"name": "Gift Wrap",
"values": [
"Yes",
"No"
]
}
],
"globalResolved": true,
"globalResolution": null
},
{
"id": "1203",
"title": null,
"description": null,
"brand": null,
"model": null,
"modelId": null,
"status": null,
"categories": [],
"subCategories": [],
"images": [],
"attributes": [],
"options": [],
"extras": [],
"globalResolved": false,
"globalResolution": "DELETED"
},
{
"id": "9001",
"title": null,
"description": null,
"brand": null,
"model": null,
"modelId": null,
"status": null,
"categories": [],
"subCategories": [],
"images": [],
"attributes": [],
"options": [],
"extras": [],
"globalResolved": false,
"globalResolution": "NOT_FOUND"
}
],
"page": 1,
"pageSize": 50,
"totalCount": 3,
"totalPages": 1,
"hasNextPage": false,
"hasPreviousPage": false,
"nextCursor": ""
}